# Class MediaMetaData

java.lang.Object
com.codename1.media.MediaMetaData

public class MediaMetaData extends Object
MetaData for use by `RemoteControlListener` to provide information about the currently playing background media on the device's lock screen.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MediaMetaData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Image`
  `getAlbumArt()`
  Gets the album art for the media.
  `Image`
  `getArt()`
  Gets the art for the current media.
  `Image`
  `getDisplayIcon()`
  Gets the display icon for the media.
  `int`
  `getNumTracks()`
  Gets the current number of tracks in the current play list.
  `String`
  `getSubtitle()`
  Gets the media subtitle.
  `String`
  `getTitle()`
  Gets the media title.
  `int`
  `getTrackNumber()`
  Gets the media track number.
  `void`
  `setAlbumArt(Image albumArt)`
  Sets the album art for the media.
  `void`
  `setArt(Image art)`
  Sets the art for the current media.
  `void`
  `setDisplayIcon(Image displayIcon)`
  Sets the display icon for the media.
  `void`
  `setNumTracks(int numTracks)`
  Sets the current number of tracks in the current play list.
  `void`
  `setSubtitle(String subtitle)`
  Sets the media subtitle.
  `void`
  `setTitle(String title)`
  Sets the media title.
  `void`
  `setTrackNumber(int trackNumber)`
  Sets the media track number.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### MediaMetaData

    public MediaMetaData()

- ## Method Details

  - ### getTitle

    public String getTitle()

    Gets the media title.

    ###### Returns

    the title

  - ### setTitle

    public void setTitle(String title)

    Sets the media title.

    ###### Parameters

    - `title`: the title to set

  - ### getSubtitle

    public String getSubtitle()

    Gets the media subtitle.

    ###### Returns

    the subtitle

  - ### setSubtitle

    public void setSubtitle(String subtitle)

    Sets the media subtitle.

    ###### Parameters

    - `subtitle`: the subtitle to set

  - ### getTrackNumber

    public int getTrackNumber()

    Gets the media track number.

    ###### Returns

    the trackNumber

  - ### setTrackNumber

    public void setTrackNumber(int trackNumber)

    Sets the media track number.

    ###### Parameters

    - `trackNumber`: the trackNumber to set

  - ### getNumTracks

    public int getNumTracks()

    Gets the current number of tracks in the current play list.

    ###### Returns

    the numTracks

  - ### setNumTracks

    public void setNumTracks(int numTracks)

    Sets the current number of tracks in the current play list.

    ###### Parameters

    - `numTracks`: the numTracks to set

  - ### getDisplayIcon

    public Image getDisplayIcon()

    Gets the display icon for the media.

    ###### Returns

    the displayIcon

  - ### setDisplayIcon

    public void setDisplayIcon(Image displayIcon)

    Sets the display icon for the media.

    ###### Parameters

    - `displayIcon`: the displayIcon to set

  - ### getAlbumArt

    public Image getAlbumArt()

    Gets the album art for the media.

    ###### Returns

    the albumArt

  - ### setAlbumArt

    public void setAlbumArt(Image albumArt)

    Sets the album art for the media.

    ###### Parameters

    - `albumArt`: the albumArt to set

  - ### getArt

    public Image getArt()

    Gets the art for the current media.

    ###### Returns

    the art

  - ### setArt

    public void setArt(Image art)

    Sets the art for the current media.

    ###### Parameters

    - `art`: the art to set